Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.math.flow
Class Vertex

    java.lang.Object
      net.sf.j3d.math.flow.Vertex

    public class Vertex

extends Object

Constructor Summary
`Vertex()`
`Vertex(String label)`

Method Summary
`void` | `addPeer(Vertex v)`
`double` | `flow(Vertex v)`
`static String` | `getAlphaLabel(int i)`
`double` | `getDelta()`
`static String` | `getNumberLabel(int i)`
`Vertex` | `getPhi()`
`Path` | `getPhiPath()`
`Vertex` | `hasPeer(Set s)`
`boolean` | `hasPeer(Vertex v)`
`double` | `max(Vertex v)`
`double` | `min(Vertex v)`
`void` | `setDelta(double d)`
`void` | `setFlow(Vertex v, double f)`
`void` | `setPhi(Vertex p)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Vertex

    public Vertex()

### Vertex

    public Vertex(String label)

Method Detail

### addPeer

    public void addPeer(Vertex v)

### hasPeer

    public boolean hasPeer(Vertex v)

### hasPeer

    public Vertex hasPeer(Set s)

### max

    public double max(Vertex v)

### min

    public double min(Vertex v)

### flow

    public double flow(Vertex v)

### setFlow

    public void setFlow(Vertex v,
                        double f)

### setDelta

    public void setDelta(double d)

### getDelta

    public double getDelta()

### setPhi

    public void setPhi(Vertex p)

### getPhi

    public Vertex getPhi()

### getPhiPath

    public Path getPhiPath()

### getNumberLabel

    public static String getNumberLabel(int i)

### getAlphaLabel

    public static String getAlphaLabel(int i)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD